--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: open_here
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: outlines
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: page_mode
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: pages
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: viewer_preferences
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Define the document catalog, the overall controller for the document
constants: []

full_name: PDF::Writer::Object::Catalog
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_s
name: Catalog
superclass: PDF::Writer::Object
